gov.ornl.mercury3.commands

## Class SessionBean

- java.lang.Object
- - gov.ornl.mercury3.commands.SessionBean

- All Implemented Interfaces:
    Serializable

      public class SessionBean
      extends Object
      implements Serializable

  ornldaac3
  Author:
    zzr @Modified by: Ranjeet Devarakonda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBrowserInfo()` browser information (netscape, IE etc..)
    `String` | `getInstanceName()`
    `String` | `getipName()`
    `String` | `getlocaluserflag()`
    `String` | `getRemoteIP()`
    `String` | `getSessionDate()`
    `String` | `getSessionId()`
    `void` | `setBrowserInfo(String browserInfo)`
    `void` | `setInstanceName(String instanceName)`
    `void` | `setipName(String ipName)`
    `void` | `setlocaluserflag(String i)`
    `void` | `setRemoteIP(String remoteIP)`
    `void` | `setSessionDate(String sessionDate)`
    `void` | `setSessionId(String sessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionBean

          public SessionBean()

  - ### Method Detail

    - #### getlocaluserflag

          public String getlocaluserflag()

      Returns:
        int user localuserflag

    - #### setlocaluserflag

          public void setlocaluserflag(String i)

    - #### getSessionId

          public String getSessionId()

      Returns:
        String user sessionID

    - #### setSessionId

          public void setSessionId(String sessionId)

      Parameters:
        `String` - sessionID

    - #### getSessionDate

          public String getSessionDate()

      Returns:
        String user sessionID

    - #### setSessionDate

          public void setSessionDate(String sessionDate)

      Parameters:
        `String` - sessionID

    - #### getInstanceName

          public String getInstanceName()

      Returns:
        String instanceName.

    - #### setInstanceName

          public void setInstanceName(String instanceName)

      Parameters:
        `String` - instanceName

    - #### getRemoteIP

          public String getRemoteIP()

      Returns:
        String referral remoteIP

    - #### setRemoteIP

          public void setRemoteIP(String remoteIP)

      Parameters:
        `String` - referral remoteIP

    - #### getipName

          public String getipName()

      Returns:
        String remote ipName

    - #### setipName

          public void setipName(String ipName)

      Parameters:
        `String` - remote ipName

    - #### getBrowserInfo

          public String getBrowserInfo()

      browser information (netscape, IE etc..)
      Returns:
        String browserInfo

    - #### setBrowserInfo

          public void setBrowserInfo(String browserInfo)

      Parameters:
        `String` - browserInfo

Copyright © 2016. All rights reserved.